%if 0%{?rhel} > 8
%define luaver 5.4
%elif 0%{?rhel} > 7
%define luaver 5.3
%else
%define luaver 5.1
%endif
%define lualibdir %{_libdir}/lua/%{luaver}
%define luadatadir %{_datadir}/lua/%{luaver}

Name:           lua-inspect
Version:        3.1.3
Release:        1
Summary:        Library for printing Lua values
License:        MIT
Group:          Development/Libraries
URL:            https://github.com/kikito/inspect.lua
Source:         https://github.com/kikito/inspect.lua/archive/v%{version}.tar.gz#/inspect.lua-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  lua-devel >= %{luaver}
Requires:       lua >= %{luaver}

%description
This library transforms any Lua value into a human-readable representation. It is especially useful for debugging errors in tables.
The objective here is human understanding (i.e. for debugging), not serialization or compactness.

%prep
%setup -n inspect.lua-%{version}

%build

%install
install -m 0755 -p -d %{buildroot}%{lualibdirdir}
install -v -D -m 0644 -p -t %{buildroot}%{lualibdir} inspect.lua

%files
%license MIT-LICENSE.txt
%doc README.md CHANGELOG.md
%{lualibdir}/inspect*

%changelog
* Mon Jul 22 2024 Daniel Berteaud <dbd@ehtrace.com> 3.1.3-1
- new package built with tito


* Mon Jul 22 2024 Daniel Berteaud <dbd@ehtrace.com> 3.1.3-0
- Initial packaging
